diff --git a/doc/src/sgml/stylesheet-man.xsl b/doc/src/sgml/stylesheet-man.xsl
index fcb485c293..5ea72b32f5 100644
--- a/doc/src/sgml/stylesheet-man.xsl
+++ b/doc/src/sgml/stylesheet-man.xsl
@@ -42,6 +42,13 @@
 </xsl:template>
 
 
+<!-- Remove paragraphs from table textblocks since mandoc doesn't support
+     macros in tables.
+-->
+<xsl:template match="row/entry/para">
+  <xsl:apply-templates/>
+</xsl:template>
+
 <!-- Make superscripts visible in man pages (default is no decoration) -->
 <xsl:template match="superscript">
   <xsl:text>^</xsl:text>
